Package ru.bitel.bgbilling.modules.dialup.server.bean

# Class DialUpLoginParameterManager

java.lang.Object
ru.bitel.bgbilling.modules.dialup.server.bean.DialUpLoginParameterManager

    public class DialUpLoginParameterManager
    extends java.lang.Object

Менеджер параметров логина DialUp

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DialUpLoginParameterManager​(java.sql.Connection con, int mid, Preferences moduleSetup)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `getLogForLogins​(java.util.Map<java.lang.String,​java.lang.Object> dataMap, java.util.List<java.lang.String[]> loginList, java.lang.String name, java.util.Map<java.lang.Integer,​User> userMap)` | Получает логи для логина (для JSP)
  `void` | `getLogForLogins​(org.w3c.dom.Element logs, org.w3c.dom.Element logins, java.lang.String name, java.util.Map<java.lang.Integer,​User> userMap)` | Получает логи для логинов (для Веба)
  `java.util.Map<java.lang.String,​DialUpLoginParameter>` | `getLoginParameter​(int lid)` | Возвращает карту параметров логина (имя-параметр)
  `boolean` | `saveLoginParameter​(int lid, java.lang.String name, java.lang.String value)` | Сохраняет параметр логина
  `void` | `writeLog​(int lid, java.lang.String name, java.lang.String value, int userId)` | Записывает лог об изменении параметров

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DialUpLoginParameterManager

    public DialUpLoginParameterManager​(java.sql.Connection con, int mid, Preferences moduleSetup)

- ## Method Details

  - ### getLoginParameter

    public java.util.Map<java.lang.String,​DialUpLoginParameter> getLoginParameter​(int lid) throws java.sql.SQLException
    Возвращает карту параметров логина (имя-параметр)
    Parameters:
      `lid` - код логина
    Returns:
      HashMap
    Throws:
      `java.sql.SQLException`

  - ### saveLoginParameter

    public boolean saveLoginParameter​(int lid, java.lang.String name, java.lang.String value) throws java.sql.SQLException
    Сохраняет параметр логина
    Parameters:
      `lid` - код логина
      `name` - имя параметра
      `value` - значение параметра
    Returns:
      true, если сохранение успешно
    Throws:
      `java.sql.SQLException`

  - ### writeLog

    public void writeLog​(int lid, java.lang.String name, java.lang.String value, int userId) throws java.sql.SQLException
    Записывает лог об изменении параметров
    Parameters:
      `lid` - код логина
      `name` - имя параметра
      `value` - значение параметра
      `userId` - код пользователя
    Throws:
      `java.sql.SQLException`

  - ### getLogForLogins

    public void getLogForLogins​(org.w3c.dom.Element logs, org.w3c.dom.Element logins, java.lang.String name, java.util.Map<java.lang.Integer,​User> userMap) throws java.sql.SQLException
    Получает логи для логинов (для Веба)
    Parameters:
      `logs` - элемент, дочерние элементы которого будут являться лог-записями
      `logins` - элемент, дочерние элементы которого содержат логины, для которых получаются логи
      `name` - имя параметра
      `userMap` - карта пользователей (используется для преобразования "код пользователя"=>"имя пользователя"
    Throws:
      `java.sql.SQLException`

  - ### getLogForLogins

    public void getLogForLogins​(java.util.Map<java.lang.String,​java.lang.Object> dataMap, java.util.List<java.lang.String[]> loginList, java.lang.String name, java.util.Map<java.lang.Integer,​User> userMap) throws java.sql.SQLException
    Получает логи для логина (для JSP)
    Parameters:
      `dataMap` - карта данных
      `loginList` - список логинов
      `name` - имя параметра
      `userMap` - карта пользователей
    Throws:
      `java.sql.SQLException`